<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.enums.DfImage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>enums</b>.<a class="el" href="classtiovx_1_1enums_1_1DfImage.html">DfImage</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.enums.DfImage Class Reference<br/>
<small>
[<a class="el" href="group__ENUMS.html">1: Enum APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::enums::DfImage" --><!-- doxytag: inherits="enum::Enum" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Image data format (OpenVX equivalent = vx_df_image). </p>
<dl class="user"><dt><b>Example usage:</b></dt><dd><div class="fragment"><pre class="fragment"> DfImage.VIRT
 DfImage.U8
</pre></div> </dd></dl>

<p><a href="classtiovx_1_1enums_1_1DfImage-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf3b2798187c31f3c8b737a2269a456d"></a><!-- doxytag: member="tiovx::enums::DfImage::INVALID" ref="aaf3b2798187c31f3c8b737a2269a456d" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#aaf3b2798187c31f3c8b737a2269a456d">INVALID</a> = 0</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Place holder for invalid data format. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cbaedb5b9f6b4513e16790f2565747a"></a><!-- doxytag: member="tiovx::enums::DfImage::VIRT" ref="a6cbaedb5b9f6b4513e16790f2565747a" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a6cbaedb5b9f6b4513e16790f2565747a">VIRT</a> = 1</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_VIRT. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02f7d433e34c0a2d25ec6a1b152226d0"></a><!-- doxytag: member="tiovx::enums::DfImage::RGB" ref="a02f7d433e34c0a2d25ec6a1b152226d0" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a02f7d433e34c0a2d25ec6a1b152226d0">RGB</a> = 2</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_RGB. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10d7bd0a860db9058565ae2ca60fb458"></a><!-- doxytag: member="tiovx::enums::DfImage::RGBX" ref="a10d7bd0a860db9058565ae2ca60fb458" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a10d7bd0a860db9058565ae2ca60fb458">RGBX</a> = 3</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_RGBX. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ee97608f03337f4df831fa7f419150f"></a><!-- doxytag: member="tiovx::enums::DfImage::NV12" ref="a0ee97608f03337f4df831fa7f419150f" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a0ee97608f03337f4df831fa7f419150f">NV12</a> = 4</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_NV12. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1aa2632124449f23f89a05465c9f3340"></a><!-- doxytag: member="tiovx::enums::DfImage::NV21" ref="a1aa2632124449f23f89a05465c9f3340" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a1aa2632124449f23f89a05465c9f3340">NV21</a> = 5</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_NV21. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52bdf09a2714e7f2e034e5589d925ea5"></a><!-- doxytag: member="tiovx::enums::DfImage::UYVY" ref="a52bdf09a2714e7f2e034e5589d925ea5" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a52bdf09a2714e7f2e034e5589d925ea5">UYVY</a> = 6</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_UYVY. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bcf2aa75e49a39ba5bb7cc6c785bbeb"></a><!-- doxytag: member="tiovx::enums::DfImage::YUYV" ref="a9bcf2aa75e49a39ba5bb7cc6c785bbeb" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a9bcf2aa75e49a39ba5bb7cc6c785bbeb">YUYV</a> = 7</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_YUYV. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73e456b04ba18955ebde18cac047bf1a"></a><!-- doxytag: member="tiovx::enums::DfImage::IYUV" ref="a73e456b04ba18955ebde18cac047bf1a" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a73e456b04ba18955ebde18cac047bf1a">IYUV</a> = 8</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_IYUV. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa82d0fec0af7dca8d2adfda02142728f"></a><!-- doxytag: member="tiovx::enums::DfImage::YUV4" ref="aa82d0fec0af7dca8d2adfda02142728f" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#aa82d0fec0af7dca8d2adfda02142728f">YUV4</a> = 9</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_YUV4. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb1178f71dbd25afccbafc8cf79866ec"></a><!-- doxytag: member="tiovx::enums::DfImage::U8" ref="abb1178f71dbd25afccbafc8cf79866ec" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#abb1178f71dbd25afccbafc8cf79866ec">U8</a> = 10</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_U8. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6be2847fbd71ac7097f9837a6279fc8d"></a><!-- doxytag: member="tiovx::enums::DfImage::U16" ref="a6be2847fbd71ac7097f9837a6279fc8d" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a6be2847fbd71ac7097f9837a6279fc8d">U16</a> = 11</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_U16. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad07c3fdd9d6e376d0ce8ea6bd59035f9"></a><!-- doxytag: member="tiovx::enums::DfImage::S16" ref="ad07c3fdd9d6e376d0ce8ea6bd59035f9" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#ad07c3fdd9d6e376d0ce8ea6bd59035f9">S16</a> = 12</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_S16. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f1d6baf03f2b9288ee603ecab9d036e"></a><!-- doxytag: member="tiovx::enums::DfImage::U32" ref="a0f1d6baf03f2b9288ee603ecab9d036e" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a0f1d6baf03f2b9288ee603ecab9d036e">U32</a> = 13</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_U32. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1de172d2f4019a5ced814a92dee6b13c"></a><!-- doxytag: member="tiovx::enums::DfImage::S32" ref="a1de172d2f4019a5ced814a92dee6b13c" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a1de172d2f4019a5ced814a92dee6b13c">S32</a> = 14</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_DF_IMAGE_S32. <br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
